5

I'm not getting any response over on the EE forums, so I figured I'd post my issue here as well.

I’m attempting to update an EE site from 2.5.5 to 2.7.3, the installer process runs smoothly, but then I get the following error on the front end & when accessing control panel:

Call to undefined function reduce_double_slashes() in admin/expressionengine/libraries/Extensions.php on line 194

I have rolled my local repo back to 2.5.5, restored my old db, and applied the update again with the same results.

Has anyone else experienced this issue when upgrading to EE 2.7.x?

2
  • are you sure, that you update all folders include codeigniter ? Try to reupload CI folder
    – Max Lazar
    Dec 13 '13 at 18:10
  • 100% certain, I did it twice just to be sure. The reduce_double_slashes() function is in admin/codeigniter/system/helper/string_helper.php, but EE doesn't see it
    – kestonh
    Dec 13 '13 at 20:23
3

Add this right above line 194 in admin/expressionengine/libraries/Extensions.php:

$this->EE->load->helper('string');
2
  • Thanks for the suggestion, but not the issue.
    – kestonh
    Dec 13 '13 at 22:57
  • 1
    This is the correct solution. The function remove_double_slashes can not be simply replaced with reduce_double_slashes. You need to load the string helper and call reduce_double_slashes() without ee()->functions... Feb 6 '15 at 2:00
1

The error was misleading as it wasn't actually being caused by the call to reduce_double_slashes() on line 194 in Extensions.php. The issue was caused by the Custom System Messages extension, once I disabled that I was able to access the site.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.